@ECHO off
SETLOCAL
REM Makefile for Windows, 32 or 64 bit version
REM Use "make 32", "make 64" or "make clean"

REM Get paths of Visual studio and the resource compiler
call make-rc-path.bat
call make-vs-path.bat

REM Choose 32 or 64 bit version
IF "%1"=="32" (
   GOTO BUILD32
)
IF "%1"=="64" (
   GOTO BUILD64
)
IF /i "%1"=="clean" (
   GOTO CLEAN
)
GOTO NOBUILD

:CLEAN
    ECHO Remove build output files..
    DEL /Q out32\*
    DEL /Q out64\*
    ECHO Cleaned up.
    GOTO DONE

:BUILD32
    SET RC32=%WRC%\x86
    SET CC32=%VSVC%\bin
    SET Path=%CC32%;%RC32%;%Path%
    SET OUT=out32
    GOTO BUILD

:BUILD64
    SET RC64=%WRC%\x64
    SET CC64=%VSVC%\bin\amd64
    SET Path=%CC64%;%RC64%;%Path%
    SET OUT=out64
    GOTO BUILD

:BUILD
   ECHO Building %1 bit version..
   CALL vcvars%1.bat
   CALL rc /nologo /fo %OUT%\resource.res src\resource%1.rc
   CALL cl /nologo /Os /EHsc /UTF-8 /Os /c /Fo%OUT%\main.obj src\main.cpp /Idata
   CALL cl /nologo /Os /EHsc /UTF-8 /Os /Fe%OUT%\main.exe %OUT%\main.obj %OUT%\resource.res gdi32.lib user32.lib comctl32.lib ole32.lib shell32.lib comdlg32.lib advapi32.lib
   ECHO Build finished.
   GOTO DONE

:NOBUILD
   ECHO Please use 'make 32', 'make 64' or 'make clean'
   PAUSE

:DONE
   ENDLOCAL
